List Pipelines
Lists all pipelines within a virtual cluster.
POST /api/v1/list_pipelinesRequest Body (JSON):
Section titled “Request Body (JSON):”{ "virtual_cluster_id": "vci_xxx"}CURL Example:
Section titled “CURL Example:”curl https://api.warpstream.com/api/v1/list_pipelines \-H 'warpstream-api-key: XXXXXXXXXX' \-H 'Content-Type: application/json' \-d '{"virtual_cluster_id": "vci_xxx"}'Response Body (JSON):
Section titled “Response Body (JSON):”{ "pipelines": [ { "id": "pipeline-xyz", "name": "my-pipeline", "state": "running", "type": "bento", "deployed_configuration_id": "xxx" }, // ... more pipelines ]}